QGIS Application - Bug report #21784

@snapping_results gives no 'result’' when adding feature to point layer

2019-04-07 10:58 PM - Samuel Oester

Status: Closed
Priority: Normal
Assignee: Matthias Kuhn
Category: Digitising

Affected QGIS version:3.6.1
Operating System: MacOS 10.12
Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: No
Easy fix?: No
Resolution:

Copied to github as #: 29599

Description

Tried to use the code snippet explained in the qgis user guide as default value:
with_variable( 'first_snapped_point', array_first( @snapping_results ), attribute(

get_feature_by_id(

map_get( @first_snapped_point, 'layer' ), map_get( @first_snapped_point, 'feature_id' )

),
'object_id'
))

Worked fine if digitizing on line layer (LineStringZM). Did not work when digitizing on point layer (PointZM).

Only tested with the two layers stored in a geopackage on QGIS 3.4.6 and 3.6.1 (MacOS).
Sample project attached should get default values from features sapped on (field 'uuid').

Associated revisions

Revision a0f450df - 2019-04-17 03:12 PM - Matthias Kuhn

Add @snapping_results variable for points

Fix #21784 https://issues.qgis.org/issues/21784

Revision ccf42dfb - 2019-04-17 03:12 PM - Matthias Kuhn

Add @snapping_results variable for points

Fix #21784 https://issues.qgis.org/issues/21784

Revision a8e51333 - 2019-04-17 03:12 PM - Matthias Kuhn

Add @snapping_results variable for points

Fix #21784 https://issues.qgis.org/issues/21784

History

#1 - 2019-04-23 03:03 PM - Anonymous
- % Done changed from 0 to 100
- Status changed from Open to Closed

Applied in changeset commit:qgis|a0f450df5fb1974642cef7567a7cc161af48fe79.
